Bug 828530 - Review Request: python-tw2-d3 - Data-driven documents for Toscawidgets2
Review Request: python-tw2-d3 - Data-driven documents for Toscawidgets2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Mattes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 16:46 EDT by Ralph Bean
Modified: 2012-07-31 13:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 20:22:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
richmattes: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-06-04 16:46:06 EDT
Spec URL: http://threebean.org/rpm/python-tw2-d3.spec
SRPM URL: http://threebean.org/rpm/python-tw2-d3-0.0.8-1.fc17.src.rpm
Description: Data-driven documents for Toscawidgets 2
Fedora Account System Username: ralph

rpmlint output:
--- ~/rpmbuild ยป rpmlint */python-tw2-d3*
python-tw2-d3.src: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
1 packages and 1 specfiles checked; 0 errors, 1 warnings.


koji f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4127309
koji el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4127295
Comment 1 Rich Mattes 2012-06-06 20:59:18 EDT
I'll take this review.
Comment 2 Rich Mattes 2012-06-06 21:23:43 EDT
Key:  + = OK, - = Needs Work, N = Not Applicable

MUST items:
[-] rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review
$ rpmlint ../RPMS/noarch/python-tw2-d3-0.0.8-1.fc17.noarch.rpm python-tw2-d3.spec 
python-tw2-d3.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
python-tw2-d3.noarch: W: incoherent-version-in-changelog 0.0.7-1 ['0.0.8-1.fc17', '0.0.8-1']
1 packages and 1 specfiles checked; 0 errors, 2 warnings.

The package's version and the version in the spec changelog don't match, you can go ahead and set the changelog version to 0.0.8.

[+] The package must be named according to the Package Naming Guidelines.
Upstream module is named tw2.d3.  As per guidelines . was replaced with -, and python- was prepended.

[+] The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
Both are "python-tw2-d3"

[+] The package must meet the Packaging Guidelines.

[+] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
MIT License

[+] The License field in the package spec file must match the actual license.

[+] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

[+] The spec file must be written in American English. 

[+] The spec file for the package MUST be legible.

[+] The sources used to build the package must match the upstream source, as provided in the spec URL.
$ md5sum tw2.d3-0.0.8.tar.gz ../SOURCES/tw2.d3-0.0.8.tar.gz 
7df20e546bbe1306b2a49a678f49f27c  tw2.d3-0.0.8.tar.gz
7df20e546bbe1306b2a49a678f49f27c  ../SOURCES/tw2.d3-0.0.8.tar.gz

[+] The package MUST successfully compile and build into binary rpms on at least one primary architecture.

[N] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.

[+] All build dependencies must be listed in BuildRequires.
mock & koji builds successful

[N] The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[N] Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

[+] Packages must NOT bundle copies of system libraries.

[N] If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.

[+] A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

[+] A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

[+] Permissions on files must be set properly. Executables should be set with executable permissions, for example.

[+] Each package must consistently use macros. 

[+] The package must contain code, or permissable content.

[N] Large documentation files must go in a -doc subpackage

[+] If a package includes something as %doc, it must not affect the runtime of the application.

[N] Static libraries must be in a -static package.

[N] Development files must be in a -devel package.

[N] In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}

[N] Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

[N] Packages containing GUI applications must include a %{name}.desktop file.

[-] Packages must not own files or directories already owned by other packages.
/usr/lib/python2.7/site-packages/tw2 is owned by a few packages: python-tw2-{core,excanvas,forms,jquery}.  Since this package Requires: python-tw-core, I think you should try to exclude ownership of the directory from this package and have python-tw-core provide it exclusively.  The other three packages owning this directory are probably bugs; they should all also rely on python-tw-core to provide the folder.

[+] All filenames in rpm packages must be valid UTF-8. 

This package looks to be in good shape.  Other than fixing the changelog, the action item for this package is making sure that /usr/lib/python2.7/site-packages/tw2 ownership is properly sorted.
Comment 3 Ralph Bean 2012-06-07 12:11:49 EDT
Thanks for the warning about the directory ownership.  I'm adding fixes to python-tw2-{excanvas,forms,jquery} now.
Comment 4 Ralph Bean 2012-06-07 12:13:18 EDT
And here are the fixes you asked for to tw2-d3.  A fixed up changelog and correct directory ownership.

Spec URL: http://threebean.org/rpm/python-tw2-d3.spec
SRPM URL: http://threebean.org/rpm/python-tw2-d3-0.0.8-2.fc17.src.rpm
Comment 5 Fedora Update System 2012-06-07 12:29:26 EDT
python-tw2-excanvas-2.0.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-excanvas-2.0.2-2.fc17
Comment 6 Fedora Update System 2012-06-07 12:29:39 EDT
python-tw2-forms-2.0.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-forms-2.0.2-3.fc17
Comment 7 Fedora Update System 2012-06-07 12:30:17 EDT
python-tw2-jquery-2.0.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-jquery-2.0.3-2.fc17
Comment 8 Fedora Update System 2012-06-07 12:39:51 EDT
python-tw2-core-2.0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-core-2.0.5-2.fc17
Comment 9 Fedora Update System 2012-06-07 12:42:08 EDT
python-tw2-excanvas-2.0.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-excanvas-2.0.2-2.el6
Comment 10 Fedora Update System 2012-06-07 12:42:43 EDT
python-tw2-forms-2.0.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-forms-2.0.2-3.el6
Comment 11 Fedora Update System 2012-06-07 13:25:49 EDT
python-tw2-core-2.0.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-core-2.0.5-2.el6
Comment 12 Fedora Update System 2012-06-07 13:36:25 EDT
python-tw2-jquery-2.0.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-jquery-2.0.3-3.fc17
Comment 13 Fedora Update System 2012-06-07 13:42:31 EDT
python-tw2-jquery-2.0.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-jquery-2.0.3-3.el6
Comment 14 Rich Mattes 2012-06-07 22:35:45 EDT
Great, you've taken care of the directory ownership in this package (and all of the packages I pointed out!)  Now that you've got that fixed, this package is APPROVED.
Comment 15 Ralph Bean 2012-06-07 22:56:17 EDT
New Package SCM Request
=======================
Package Name: python-tw2-d3
Short Description: Data-driven documents for Toscawidgets 2
Owners: ralph
Branches: f17 el6
InitialCC:
Comment 16 Gwyn Ciesla 2012-06-08 08:44:57 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2012-06-08 09:54:13 EDT
python-tw2-d3-0.0.8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-d3-0.0.8-2.fc17
Comment 18 Fedora Update System 2012-06-08 10:03:56 EDT
python-tw2-d3-0.0.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-d3-0.0.8-2.el6
Comment 19 Fedora Update System 2012-06-08 15:30:40 EDT
Package python-tw2-core-2.0.5-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-tw2-core-2.0.5-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6080/python-tw2-core-2.0.5-2.el6
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2012-06-19 20:22:14 EDT
python-tw2-forms-2.0.2-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2012-06-19 20:24:26 EDT
python-tw2-jquery-2.0.3-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2012-06-19 20:25:41 EDT
python-tw2-core-2.0.5-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2012-06-19 20:28:07 EDT
python-tw2-excanvas-2.0.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2012-06-19 20:35:43 EDT
python-tw2-jquery-2.0.3-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2012-07-19 05:08:12 EDT
python-tw2-d3-0.0.8-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 26 Fedora Update System 2012-07-19 18:36:49 EDT
python-tw2-d3-0.0.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 27 Fedora Update System 2012-07-31 13:00:33 EDT
python-tw2-excanvas-2.0.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2012-07-31 13:01:01 EDT
python-tw2-core-2.0.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2012-07-31 13:01:52 EDT
python-tw2-jquery-2.0.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2012-07-31 13:02:13 EDT
python-tw2-forms-2.0.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.